/*
 * Class READABLE_INDEXABLE [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_580 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_580 [] = {0xFF01,237,579,176,0xFFFF};
static const EIF_TYPE_INDEX egt_2_580 [] = {0xFF01,579,176,0xFFFF};
static const EIF_TYPE_INDEX egt_3_580 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_580 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_580 [] = {0xFF01,579,176,0xFFFF};
static const EIF_TYPE_INDEX egt_6_580 [] = {0xFF01,579,176,0xFFFF};
static const EIF_TYPE_INDEX egt_7_580 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_580 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_580 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_580 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_580 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_580 [] = {579,176,0xFFFF};
static const EIF_TYPE_INDEX egt_13_580 [] = {0xFF01,579,176,0xFFFF};
static const EIF_TYPE_INDEX egt_14_580 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_580 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_16_580 [] = {0xFF01,576,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_580 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_580[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_580), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_580), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_580), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_580), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_580), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_580), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_580), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_580), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_580), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_580), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_580), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_580), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_580), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_580), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_580), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_580), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_580), 3376, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_580), -1, 0xFFFFFFFF},
};
void Init580(void)
{
	IDSC(desc_580, 0, 579);
	IDSC(desc_580 + 1, 1, 579);
	IDSC(desc_580 + 32, 256, 579);
	IDSC(desc_580 + 35, 99, 579);
}


#ifdef __cplusplus
}
#endif
